Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 883478 (python-logging-tree) - Review Request: python-logging-tree - Introspect and display the logger tree inside "logging"
Summary: Review Request: python-logging-tree - Introspect and display the logger tree ...
Keywords:
Status: CLOSED ERRATA
Alias: python-logging-tree
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 17:03 UTC by Ralph Bean
Modified: 2013-03-09 19:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 21:21:54 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-12-04 17:03:55 UTC
Spec URL: http://ralph.fedorapeople.org//python-logging-tree.spec
SRPM URL: http://ralph.fedorapeople.org//python-logging-tree-1.1-1.fc18.src.rpm

Description:
Introspection for the ``logging`` logger tree in the Standard Library.

While you can write programs that call this package's ``tree()``
function and examine the hierarchy of logger objects that it finds
inside of the Standard Library ``logging`` module, the simplest use of
this package for debugging is to call ``printout()`` to print the
loggers, filters, and handlers that your application has configured::

    >>> logging.getLogger('a')
    >>> logging.getLogger('a.b').setLevel(logging.DEBUG)
    >>> logging.getLogger('x.c')
    >>> from logging_tree import printout
    >>> printout()
       ""
       Level WARNING
       |
       o<--"a"
       |   |
       |   o<--"a.b"
       |       Level DEBUG
       |
       o<--[x]
           |
           o<--"x.c"

Comment 1 Ralph Bean 2012-12-04 17:04:02 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4756262

Comment 2 Mario Blättermann 2012-12-17 10:33:17 UTC
Your Koji build was outdated, here's the new one:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4796270


$ rpmlint -i -v *python3-logging-tree.noarch: I: checking
python3-logging-tree.noarch: W: spelling-error %description -l en_US getLogger -> get Logger, get-logger, blogger
The value of this tag appears to be misspelled. Please double-check.

python3-logging-tree.noarch: W: spelling-error %description -l en_US setLevel -> set Level, set-level, settle
The value of this tag appears to be misspelled. Please double-check.

python3-logging-tree.noarch: I: checking-url http://pypi.python.org/pypi/logging_tree (timeout 10 seconds)
python3-logging-tree.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-logging-tree.src: I: checking
python-logging-tree.src: W: spelling-error %description -l en_US getLogger -> get Logger, get-logger, blogger
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.src: W: spelling-error %description -l en_US setLevel -> set Level, set-level, settle
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.src: I: checking-url http://pypi.python.org/pypi/logging_tree (timeout 10 seconds)
python-logging-tree.src: E: specfile-error sh: line 0: fg: no job control
This error occurred when rpmlint used rpm to query the specfile.  The error is
output by rpm and the message should contain more information.

python-logging-tree.noarch: I: checking
python-logging-tree.noarch: W: spelling-error %description -l en_US getLogger -> get Logger, get-logger, blogger
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.noarch: W: spelling-error %description -l en_US setLevel -> set Level, set-level, settle
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.noarch: I: checking-url http://pypi.python.org/pypi/logging_tree (timeout 10 seconds)
python-logging-tree.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-logging-tree.spec: E: specfile-error sh: line 0: fg: no job control
This error occurred when rpmlint used rpm to query the specfile.  The error is
output by rpm and the message should contain more information.

3 packages and 1 specfiles checked; 2 errors, 8 warnings.

Some spelling errors and no docs, nothing worth to discuss... But one issue:

specfile-error sh: line 0: fg: no job control

The first line in your spec causes this error. In most cases it is to be blamed to an undefined macro which cannot be parsed by rpm. Could be that your definitions at the beginning of your spec won't be expanded correctly.

Comment 3 Ralph Bean 2012-12-17 14:00:13 UTC
Hm.  If you yum install python3 before inspecting the spec and srpm, the issue goes away (it is that %{__python3} doesn't exist on your machine.)

Can you verify that that fixes the issue for you?

Comment 4 Mario Blättermann 2012-12-18 13:38:33 UTC
(In reply to comment #3)
> ... it is that %{__python3} doesn't exist on your machine.)

Yes, indeed. The python3-devel package contains some additional macros. Full review follows immediately.

Comment 5 Mario Blättermann 2012-12-18 14:17:09 UTC
$ rpmlint -i -v *python3-logging-tree.noarch: I: checking
python3-logging-tree.noarch: W: spelling-error %description -l en_US getLogger -> get Logger, get-logger, blogger
The value of this tag appears to be misspelled. Please double-check.

python3-logging-tree.noarch: W: spelling-error %description -l en_US setLevel -> set Level, set-level, settle
The value of this tag appears to be misspelled. Please double-check.

python3-logging-tree.noarch: I: checking-url http://pypi.python.org/pypi/logging_tree (timeout 10 seconds)
python3-logging-tree.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-logging-tree.src: I: checking
python-logging-tree.src: W: spelling-error %description -l en_US getLogger -> get Logger, get-logger, blogger
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.src: W: spelling-error %description -l en_US setLevel -> set Level, set-level, settle
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.src: I: checking-url http://pypi.python.org/pypi/logging_tree (timeout 10 seconds)
python-logging-tree.src: I: checking-url http://pypi.python.org/packages/source/l/logging_tree/logging_tree-1.1.tar.gz (timeout 10 seconds)
python-logging-tree.noarch: I: checking
python-logging-tree.noarch: W: spelling-error %description -l en_US getLogger -> get Logger, get-logger, blogger
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.noarch: W: spelling-error %description -l en_US setLevel -> set Level, set-level, settle
The value of this tag appears to be misspelled. Please double-check.

python-logging-tree.noarch: I: checking-url http://pypi.python.org/pypi/logging_tree (timeout 10 seconds)
python-logging-tree.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-logging-tree.spec: I: checking-url http://pypi.python.org/packages/source/l/logging_tree/logging_tree-1.1.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 8 warnings.


Besides the warnings regarding the missing docs (not up to you to fix), nothing of interest.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    89b808711be30a846c88e37a56a3320f9dbb4e752ab860cd4f4ce055a2c81b18  logging_tree-1.1.tar.gz
    89b808711be30a846c88e37a56a3320f9dbb4e752ab860cd4f4ce055a2c81b18  logging_tree-1.1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 6 Ralph Bean 2012-12-18 14:32:10 UTC
New Package SCM Request
=======================
Package Name: python-logging-tree
Short Description: Introspect and display the logger tree inside "logging"
Owners: ralph
Branches: f18 f17 el6
InitialCC:

Comment 7 Gwyn Ciesla 2012-12-18 15:19:04 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-12-18 20:01:19 UTC
python-logging-tree-1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-logging-tree-1.1-2.el6

Comment 9 Fedora Update System 2012-12-18 20:19:58 UTC
python-logging-tree-1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-logging-tree-1.1-2.fc18

Comment 10 Fedora Update System 2012-12-18 20:20:19 UTC
python-logging-tree-1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-logging-tree-1.1-2.fc17

Comment 11 Fedora Update System 2013-01-18 20:23:27 UTC
python-logging-tree-1.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2013-01-18 20:25:25 UTC
python-logging-tree-1.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-03-09 19:18:08 UTC
python-logging-tree-1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.